# Constant Field Values

## Contents

- org.osgi.*

## org.osgi.*

org.osgi.framework.AdaptPermission
Modifier and Type
Constant Field
Value
`public static final String`
`ADAPT`
`"adapt"`
org.osgi.framework.AdminPermission
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS`
`"class"`
`public static final String`
`CONTEXT`
`"context"`
`public static final String`
`EXECUTE`
`"execute"`
`public static final String`
`EXTENSIONLIFECYCLE`
`"extensionLifecycle"`
`public static final String`
`LIFECYCLE`
`"lifecycle"`
`public static final String`
`LISTENER`
`"listener"`
`public static final String`
`METADATA`
`"metadata"`
`public static final String`
`RESOLVE`
`"resolve"`
`public static final String`
`RESOURCE`
`"resource"`
`public static final String`
`STARTLEVEL`
`"startlevel"`
`public static final String`
`WEAVE`
`"weave"`
org.osgi.framework.Bundle
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVE`
`32`
`public static final int`
`INSTALLED`
`2`
`public static final int`
`RESOLVED`
`4`
`public static final int`
`SIGNERS_ALL`
`1`
`public static final int`
`SIGNERS_TRUSTED`
`2`
`public static final int`
`START_ACTIVATION_POLICY`
`2`
`public static final int`
`START_TRANSIENT`
`1`
`public static final int`
`STARTING`
`8`
`public static final int`
`STOP_TRANSIENT`
`1`
`public static final int`
`STOPPING`
`16`
`public static final int`
`UNINSTALLED`
`1`
org.osgi.framework.BundleEvent
Modifier and Type
Constant Field
Value
`public static final int`
`INSTALLED`
`1`
`public static final int`
`LAZY_ACTIVATION`
`512`
`public static final int`
`RESOLVED`
`32`
`public static final int`
`STARTED`
`2`
`public static final int`
`STARTING`
`128`
`public static final int`
`STOPPED`
`4`
`public static final int`
`STOPPING`
`256`
`public static final int`
`UNINSTALLED`
`16`
`public static final int`
`UNRESOLVED`
`64`
`public static final int`
`UPDATED`
`8`
org.osgi.framework.BundleException
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVATOR_ERROR`
`5`
`public static final int`
`DUPLICATE_BUNDLE_ERROR`
`9`
`public static final int`
`INVALID_OPERATION`
`2`
`public static final int`
`MANIFEST_ERROR`
`3`
`public static final int`
`NATIVECODE_ERROR`
`8`
`public static final int`
`READ_ERROR`
`11`
`public static final int`
`REJECTED_BY_HOOK`
`12`
`public static final int`
`RESOLVE_ERROR`
`4`
`public static final int`
`SECURITY_ERROR`
`6`
`public static final int`
`START_TRANSIENT_ERROR`
`10`
`public static final int`
`STATECHANGE_ERROR`
`7`
`public static final int`
`UNSPECIFIED`
`0`
`public static final int`
`UNSUPPORTED_OPERATION`
`1`
org.osgi.framework.BundlePermission
Modifier and Type
Constant Field
Value
`public static final String`
`FRAGMENT`
`"fragment"`
`public static final String`
`HOST`
`"host"`
`public static final String`
`PROVIDE`
`"provide"`
`public static final String`
`REQUIRE`
`"require"`
org.osgi.framework.CapabilityPermission
Modifier and Type
Constant Field
Value
`public static final String`
`PROVIDE`
`"provide"`
`public static final String`
`REQUIRE`
`"require"`
org.osgi.framework.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`ACTIVATION_LAZY`
`"lazy"`
`public static final String`
`BUNDLE_ACTIVATIONPOLICY`
`"Bundle-ActivationPolicy"`
`public static final String`
`BUNDLE_ACTIVATOR`
`"Bundle-Activator"`
`public static final String`
`BUNDLE_CATEGORY`
`"Bundle-Category"`
`public static final String`
`BUNDLE_CLASSPATH`
`"Bundle-ClassPath"`
`public static final String`
`BUNDLE_CONTACTADDRESS`
`"Bundle-ContactAddress"`
`public static final String`
`BUNDLE_COPYRIGHT`
`"Bundle-Copyright"`
`public static final String`
`BUNDLE_DESCRIPTION`
`"Bundle-Description"`
`public static final String`
`BUNDLE_DEVELOPERS`
`"Bundle-Developers"`
`public static final String`
`BUNDLE_DOCURL`
`"Bundle-DocURL"`
`public static final String`
`BUNDLE_ICON`
`"Bundle-Icon"`
`public static final String`
`BUNDLE_LICENSE`
`"Bundle-License"`
`public static final String`
`BUNDLE_LOCALIZATION`
`"Bundle-Localization"`
`public static final String`
`BUNDLE_LOCALIZATION_DEFAULT_BASENAME`
`"OSGI-INF/l10n/bundle"`
`public static final String`
`BUNDLE_MANIFESTVERSION`
`"Bundle-ManifestVersion"`
`public static final String`
`BUNDLE_NAME`
`"Bundle-Name"`
`public static final String`
`BUNDLE_NATIVECODE`
`"Bundle-NativeCode"`
`public static final String`
`BUNDLE_NATIVECODE_LANGUAGE`
`"language"`
`public static final String`
`BUNDLE_NATIVECODE_OSNAME`
`"osname"`
`public static final String`
`BUNDLE_NATIVECODE_OSVERSION`
`"osversion"`
`public static final String`
`BUNDLE_NATIVECODE_PROCESSOR`
`"processor"`
`public static final String`
`BUNDLE_REQUIREDEXECUTIONENVIRONMENT`
`"Bundle-RequiredExecutionEnvironment"`
`public static final String`
`BUNDLE_SCM`
`"Bundle-SCM"`
`public static final String`
`BUNDLE_SYMBOLICNAME`
`"Bundle-SymbolicName"`
`public static final String`
`BUNDLE_SYMBOLICNAME_ATTRIBUTE`
`"bundle-symbolic-name"`
`public static final String`
`BUNDLE_UPDATELOCATION`
`"Bundle-UpdateLocation"`
`public static final String`
`BUNDLE_VENDOR`
`"Bundle-Vendor"`
`public static final String`
`BUNDLE_VERSION`
`"Bundle-Version"`
`public static final String`
`BUNDLE_VERSION_ATTRIBUTE`
`"bundle-version"`
`public static final String`
`DYNAMICIMPORT_PACKAGE`
`"DynamicImport-Package"`
`public static final String`
`EFFECTIVE_ACTIVE`
`"active"`
`public static final String`
`EFFECTIVE_DIRECTIVE`
`"effective"`
`public static final String`
`EFFECTIVE_RESOLVE`
`"resolve"`
`public static final String`
`EXCLUDE_DIRECTIVE`
`"exclude"`
`public static final String`
`EXPORT_PACKAGE`
`"Export-Package"`
`public static final String`
`EXPORT_SERVICE`
`"Export-Service"`
`public static final String`
`EXTENSION_BOOTCLASSPATH`
`"bootclasspath"`
`public static final String`
`EXTENSION_BUNDLE_ACTIVATOR`
`"ExtensionBundle-Activator"`
`public static final String`
`EXTENSION_DIRECTIVE`
`"extension"`
`public static final String`
`EXTENSION_FRAMEWORK`
`"framework"`
`public static final String`
`FILTER_DIRECTIVE`
`"filter"`
`public static final String`
`FRAGMENT_ATTACHMENT_ALWAYS`
`"always"`
`public static final String`
`FRAGMENT_ATTACHMENT_DIRECTIVE`
`"fragment-attachment"`
`public static final String`
`FRAGMENT_ATTACHMENT_NEVER`
`"never"`
`public static final String`
`FRAGMENT_ATTACHMENT_RESOLVETIME`
`"resolve-time"`
`public static final String`
`FRAGMENT_HOST`
`"Fragment-Host"`
`public static final String`
`FRAMEWORK_BEGINNING_STARTLEVEL`
`"org.osgi.framework.startlevel.beginning"`
`public static final String`
`FRAMEWORK_BOOTDELEGATION`
`"org.osgi.framework.bootdelegation"`
`public static final String`
`FRAMEWORK_BSNVERSION`
`"org.osgi.framework.bsnversion"`
`public static final String`
`FRAMEWORK_BSNVERSION_MANAGED`
`"managed"`
`public static final String`
`FRAMEWORK_BSNVERSION_MULTIPLE`
`"multiple"`
`public static final String`
`FRAMEWORK_BSNVERSION_SINGLE`
`"single"`
`public static final String`
`FRAMEWORK_BUNDLE_PARENT`
`"org.osgi.framework.bundle.parent"`
`public static final String`
`FRAMEWORK_BUNDLE_PARENT_APP`
`"app"`
`public static final String`
`FRAMEWORK_BUNDLE_PARENT_BOOT`
`"boot"`
`public static final String`
`FRAMEWORK_BUNDLE_PARENT_EXT`
`"ext"`
`public static final String`
`FRAMEWORK_BUNDLE_PARENT_FRAMEWORK`
`"framework"`
`public static final String`
`FRAMEWORK_COMMAND_ABSPATH`
`"abspath"`
`public static final String`
`FRAMEWORK_EXECPERMISSION`
`"org.osgi.framework.command.execpermission"`
`public static final String`
`FRAMEWORK_EXECUTIONENVIRONMENT`
`"org.osgi.framework.executionenvironment"`
`public static final String`
`FRAMEWORK_LANGUAGE`
`"org.osgi.framework.language"`
`public static final String`
`FRAMEWORK_LIBRARY_EXTENSIONS`
`"org.osgi.framework.library.extensions"`
`public static final String`
`FRAMEWORK_OS_NAME`
`"org.osgi.framework.os.name"`
`public static final String`
`FRAMEWORK_OS_VERSION`
`"org.osgi.framework.os.version"`
`public static final String`
`FRAMEWORK_PROCESSOR`
`"org.osgi.framework.processor"`
`public static final String`
`FRAMEWORK_SECURITY`
`"org.osgi.framework.security"`
`public static final String`
`FRAMEWORK_SECURITY_OSGI`
`"osgi"`
`public static final String`
`FRAMEWORK_STORAGE`
`"org.osgi.framework.storage"`
`public static final String`
`FRAMEWORK_STORAGE_CLEAN`
`"org.osgi.framework.storage.clean"`
`public static final String`
`FRAMEWORK_STORAGE_CLEAN_ONFIRSTINIT`
`"onFirstInit"`
`public static final String`
`FRAMEWORK_SYSTEMCAPABILITIES`
`"org.osgi.framework.system.capabilities"`
`public static final String`
`FRAMEWORK_SYSTEMCAPABILITIES_EXTRA`
`"org.osgi.framework.system.capabilities.extra"`
`public static final String`
`FRAMEWORK_SYSTEMPACKAGES`
`"org.osgi.framework.system.packages"`
`public static final String`
`FRAMEWORK_SYSTEMPACKAGES_EXTRA`
`"org.osgi.framework.system.packages.extra"`
`public static final String`
`FRAMEWORK_TRUST_REPOSITORIES`
`"org.osgi.framework.trust.repositories"`
`public static final String`
`FRAMEWORK_UUID`
`"org.osgi.framework.uuid"`
`public static final String`
`FRAMEWORK_VENDOR`
`"org.osgi.framework.vendor"`
`public static final String`
`FRAMEWORK_VERSION`
`"org.osgi.framework.version"`
`public static final String`
`FRAMEWORK_WINDOWSYSTEM`
`"org.osgi.framework.windowsystem"`
`public static final String`
`IMPORT_PACKAGE`
`"Import-Package"`
`public static final String`
`IMPORT_SERVICE`
`"Import-Service"`
`public static final String`
`INCLUDE_DIRECTIVE`
`"include"`
`public static final String`
`INTENT_ASYNC`
`"osgi.async"`
`public static final String`
`INTENT_BASIC`
`"osgi.basic"`
`public static final String`
`INTENT_CONFIDENTIAL`
`"osgi.confidential"`
`public static final String`
`INTENT_PRIVATE`
`"osgi.private"`
`public static final String`
`MANDATORY_DIRECTIVE`
`"mandatory"`
`public static final String`
`OBJECTCLASS`
`"objectClass"`
`public static final String`
`PACKAGE_SPECIFICATION_VERSION`
`"specification-version"`
`public static final String`
`PROVIDE_CAPABILITY`
`"Provide-Capability"`
`public static final String`
`REMOTE_CONFIGS_SUPPORTED`
`"remote.configs.supported"`
`public static final String`
`REMOTE_INTENTS_SUPPORTED`
`"remote.intents.supported"`
`public static final String`
`REQUIRE_BUNDLE`
`"Require-Bundle"`
`public static final String`
`REQUIRE_CAPABILITY`
`"Require-Capability"`
`public static final String`
`RESOLUTION_DIRECTIVE`
`"resolution"`
`public static final String`
`RESOLUTION_MANDATORY`
`"mandatory"`
`public static final String`
`RESOLUTION_OPTIONAL`
`"optional"`
`public static final String`
`SCOPE_BUNDLE`
`"bundle"`
`public static final String`
`SCOPE_PROTOTYPE`
`"prototype"`
`public static final String`
`SCOPE_SINGLETON`
`"singleton"`
`public static final String`
`SELECTION_FILTER_ATTRIBUTE`
`"selection-filter"`
`public static final String`
`SERVICE_BUNDLEID`
`"service.bundleid"`
`public static final String`
`SERVICE_CHANGECOUNT`
`"service.changecount"`
`public static final String`
`SERVICE_DESCRIPTION`
`"service.description"`
`public static final String`
`SERVICE_EXPORTED_CONFIGS`
`"service.exported.configs"`
`public static final String`
`SERVICE_EXPORTED_INTENTS`
`"service.exported.intents"`
`public static final String`
`SERVICE_EXPORTED_INTENTS_EXTRA`
`"service.exported.intents.extra"`
`public static final String`
`SERVICE_EXPORTED_INTERFACES`
`"service.exported.interfaces"`
`public static final String`
`SERVICE_ID`
`"service.id"`
`public static final String`
`SERVICE_IMPORTED`
`"service.imported"`
`public static final String`
`SERVICE_IMPORTED_CONFIGS`
`"service.imported.configs"`
`public static final String`
`SERVICE_INTENTS`
`"service.intents"`
`public static final String`
`SERVICE_PID`
`"service.pid"`
`public static final String`
`SERVICE_RANKING`
`"service.ranking"`
`public static final String`
`SERVICE_SCOPE`
`"service.scope"`
`public static final String`
`SERVICE_VENDOR`
`"service.vendor"`
`public static final String`
`SINGLETON_DIRECTIVE`
`"singleton"`
`public static final String`
`SUPPORTS_BOOTCLASSPATH_EXTENSION`
`"org.osgi.supports.bootclasspath.extension"`
`public static final String`
`SUPPORTS_FRAMEWORK_EXTENSION`
`"org.osgi.supports.framework.extension"`
`public static final String`
`SUPPORTS_FRAMEWORK_FRAGMENT`
`"org.osgi.supports.framework.fragment"`
`public static final String`
`SUPPORTS_FRAMEWORK_REQUIREBUNDLE`
`"org.osgi.supports.framework.requirebundle"`
`public static final long`
`SYSTEM_BUNDLE_ID`
`0L`
`public static final String`
`SYSTEM_BUNDLE_LOCATION`
`"System Bundle"`
`public static final String`
`SYSTEM_BUNDLE_SYMBOLICNAME`
`"system.bundle"`
`public static final String`
`USES_DIRECTIVE`
`"uses"`
`public static final String`
`VERSION_ATTRIBUTE`
`"version"`
`public static final String`
`VISIBILITY_DIRECTIVE`
`"visibility"`
`public static final String`
`VISIBILITY_PRIVATE`
`"private"`
`public static final String`
`VISIBILITY_REEXPORT`
`"reexport"`
org.osgi.framework.FrameworkEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ERROR`
`2`
`public static final int`
`INFO`
`32`
`public static final int`
`PACKAGES_REFRESHED`
`4`
`public static final int`
`STARTED`
`1`
`public static final int`
`STARTLEVEL_CHANGED`
`8`
`public static final int`
`STOPPED`
`64`
`public static final int`
`STOPPED_BOOTCLASSPATH_MODIFIED`
`256`
`public static final int`
`STOPPED_SYSTEM_REFRESHED`
`1024`
`public static final int`
`STOPPED_UPDATE`
`128`
`public static final int`
`WAIT_TIMEDOUT`
`512`
`public static final int`
`WARNING`
`16`
org.osgi.framework.PackagePermission
Modifier and Type
Constant Field
Value
`public static final String`
`EXPORT`
`"export"`
`public static final String`
`EXPORTONLY`
`"exportonly"`
`public static final String`
`IMPORT`
`"import"`
org.osgi.framework.ServiceEvent
Modifier and Type
Constant Field
Value
`public static final int`
`MODIFIED`
`2`
`public static final int`
`MODIFIED_ENDMATCH`
`8`
`public static final int`
`REGISTERED`
`1`
`public static final int`
`UNREGISTERING`
`4`
org.osgi.framework.ServiceException
Modifier and Type
Constant Field
Value
`public static final int`
`ASYNC_ERROR`
`7`
`public static final int`
`FACTORY_ERROR`
`2`
`public static final int`
`FACTORY_EXCEPTION`
`3`
`public static final int`
`FACTORY_RECURSION`
`6`
`public static final int`
`REMOTE`
`5`
`public static final int`
`SUBCLASSED`
`4`
`public static final int`
`UNREGISTERED`
`1`
`public static final int`
`UNSPECIFIED`
`0`
org.osgi.framework.ServicePermission
Modifier and Type
Constant Field
Value
`public static final String`
`GET`
`"get"`
`public static final String`
`REGISTER`
`"register"`
org.osgi.framework.VersionRange
Modifier and Type
Constant Field
Value
`public static final char`
`LEFT_CLOSED`
`'['`
`public static final char`
`LEFT_OPEN`
`'('`
`public static final char`
`RIGHT_CLOSED`
`']'`
`public static final char`
`RIGHT_OPEN`
`')'`

org.osgi.framework.connect.ConnectContent
Modifier and Type
Constant Field
Value
`public static final String`
`TAG_OSGI_CONNECT`
`"osgi.connect"`

org.osgi.framework.hooks.bundle.CollisionHook
Modifier and Type
Constant Field
Value
`public static final int`
`INSTALLING`
`1`
`public static final int`
`UPDATING`
`2`

org.osgi.framework.hooks.weaving.WovenClass
Modifier and Type
Constant Field
Value
`public static final int`
`DEFINE_FAILED`
`16`
`public static final int`
`DEFINED`
`4`
`public static final int`
`TRANSFORMED`
`2`
`public static final int`
`TRANSFORMING`
`1`
`public static final int`
`TRANSFORMING_FAILED`
`8`

org.osgi.framework.namespace.AbstractWiringNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_BUNDLE_VERSION_ATTRIBUTE`
`"bundle-version"`
`public static final String`
`CAPABILITY_MANDATORY_DIRECTIVE`
`"mandatory"`
org.osgi.framework.namespace.BundleNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_NAMESPACE`
`"osgi.wiring.bundle"`
`public static final String`
`CAPABILITY_FRAGMENT_ATTACHMENT_DIRECTIVE`
`"fragment-attachment"`
`public static final String`
`CAPABILITY_SINGLETON_DIRECTIVE`
`"singleton"`
`public static final String`
`REQUIREMENT_EXTENSION_DIRECTIVE`
`"extension"`
`public static final String`
`REQUIREMENT_VISIBILITY_DIRECTIVE`
`"visibility"`
`public static final String`
`VISIBILITY_PRIVATE`
`"private"`
`public static final String`
`VISIBILITY_REEXPORT`
`"reexport"`
org.osgi.framework.namespace.ExecutionEnvironmentNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_VERSION_ATTRIBUTE`
`"version"`
`public static final String`
`EXECUTION_ENVIRONMENT_NAMESPACE`
`"osgi.ee"`
org.osgi.framework.namespace.HostNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_FRAGMENT_ATTACHMENT_DIRECTIVE`
`"fragment-attachment"`
`public static final String`
`CAPABILITY_SINGLETON_DIRECTIVE`
`"singleton"`
`public static final String`
`EXTENSION_BOOTCLASSPATH`
`"bootclasspath"`
`public static final String`
`EXTENSION_FRAMEWORK`
`"framework"`
`public static final String`
`FRAGMENT_ATTACHMENT_ALWAYS`
`"always"`
`public static final String`
`FRAGMENT_ATTACHMENT_NEVER`
`"never"`
`public static final String`
`FRAGMENT_ATTACHMENT_RESOLVETIME`
`"resolve-time"`
`public static final String`
`HOST_NAMESPACE`
`"osgi.wiring.host"`
`public static final String`
`REQUIREMENT_EXTENSION_DIRECTIVE`
`"extension"`
`public static final String`
`REQUIREMENT_VISIBILITY_DIRECTIVE`
`"visibility"`
org.osgi.framework.namespace.IdentityNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_COPYRIGHT_ATTRIBUTE`
`"copyright"`
`public static final String`
`CAPABILITY_DESCRIPTION_ATTRIBUTE`
`"description"`
`public static final String`
`CAPABILITY_DOCUMENTATION_ATTRIBUTE`
`"documentation"`
`public static final String`
`CAPABILITY_LICENSE_ATTRIBUTE`
`"license"`
`public static final String`
`CAPABILITY_SINGLETON_DIRECTIVE`
`"singleton"`
`public static final String`
`CAPABILITY_TAGS_ATTRIBUTE`
`"tags"`
`public static final String`
`CAPABILITY_TYPE_ATTRIBUTE`
`"type"`
`public static final String`
`CAPABILITY_VERSION_ATTRIBUTE`
`"version"`
`public static final String`
`CLASSIFIER_JAVADOC`
`"javadoc"`
`public static final String`
`CLASSIFIER_SOURCES`
`"sources"`
`public static final String`
`IDENTITY_NAMESPACE`
`"osgi.identity"`
`public static final String`
`REQUIREMENT_CLASSIFIER_DIRECTIVE`
`"classifier"`
`public static final String`
`TYPE_BUNDLE`
`"osgi.bundle"`
`public static final String`
`TYPE_FRAGMENT`
`"osgi.fragment"`
`public static final String`
`TYPE_UNKNOWN`
`"unknown"`
org.osgi.framework.namespace.NativeNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_LANGUAGE_ATTRIBUTE`
`"osgi.native.language"`
`public static final String`
`CAPABILITY_OSNAME_ATTRIBUTE`
`"osgi.native.osname"`
`public static final String`
`CAPABILITY_OSVERSION_ATTRIBUTE`
`"osgi.native.osversion"`
`public static final String`
`CAPABILITY_PROCESSOR_ATTRIBUTE`
`"osgi.native.processor"`
`public static final String`
`NATIVE_NAMESPACE`
`"osgi.native"`
org.osgi.framework.namespace.PackageNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_BUNDLE_SYMBOLICNAME_ATTRIBUTE`
`"bundle-symbolic-name"`
`public static final String`
`CAPABILITY_EXCLUDE_DIRECTIVE`
`"exclude"`
`public static final String`
`CAPABILITY_INCLUDE_DIRECTIVE`
`"include"`
`public static final String`
`CAPABILITY_VERSION_ATTRIBUTE`
`"version"`
`public static final String`
`PACKAGE_NAMESPACE`
`"osgi.wiring.package"`
`public static final String`
`RESOLUTION_DYNAMIC`
`"dynamic"`

org.osgi.framework.wiring.BundleRevision
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_NAMESPACE`
`"osgi.wiring.bundle"`
`public static final String`
`HOST_NAMESPACE`
`"osgi.wiring.host"`
`public static final String`
`PACKAGE_NAMESPACE`
`"osgi.wiring.package"`
`public static final int`
`TYPE_FRAGMENT`
`1`
org.osgi.framework.wiring.BundleWiring
Modifier and Type
Constant Field
Value
`public static final int`
`FINDENTRIES_RECURSE`
`1`
`public static final int`
`LISTRESOURCES_LOCAL`
`2`
`public static final int`
`LISTRESOURCES_RECURSE`
`1`

org.osgi.resource.Namespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_EFFECTIVE_DIRECTIVE`
`"effective"`
`public static final String`
`CAPABILITY_USES_DIRECTIVE`
`"uses"`
`public static final String`
`CARDINALITY_MULTIPLE`
`"multiple"`
`public static final String`
`CARDINALITY_SINGLE`
`"single"`
`public static final String`
`EFFECTIVE_ACTIVE`
`"active"`
`public static final String`
`EFFECTIVE_RESOLVE`
`"resolve"`
`public static final String`
`REQUIREMENT_CARDINALITY_DIRECTIVE`
`"cardinality"`
`public static final String`
`REQUIREMENT_EFFECTIVE_DIRECTIVE`
`"effective"`
`public static final String`
`REQUIREMENT_FILTER_DIRECTIVE`
`"filter"`
`public static final String`
`REQUIREMENT_RESOLUTION_DIRECTIVE`
`"resolution"`
`public static final String`
`RESOLUTION_MANDATORY`
`"mandatory"`
`public static final String`
`RESOLUTION_OPTIONAL`
`"optional"`

org.osgi.service.condition.Condition
Modifier and Type
Constant Field
Value
`public static final String`
`CONDITION_ID`
`"osgi.condition.id"`
`public static final String`
`CONDITION_ID_TRUE`
`"true"`

org.osgi.service.condpermadmin.ConditionalPermissionInfo
Modifier and Type
Constant Field
Value
`public static final String`
`ALLOW`
`"allow"`
`public static final String`
`DENY`
`"deny"`

org.osgi.service.log.Logger
Modifier and Type
Constant Field
Value
`public static final String`
`ROOT_LOGGER_NAME`
`"ROOT"`
org.osgi.service.log.LogService
Modifier and Type
Constant Field
Value
`public static final int`
`LOG_DEBUG`
`4`
`public static final int`
`LOG_ERROR`
`1`
`public static final int`
`LOG_INFO`
`3`
`public static final int`
`LOG_WARNING`
`2`

org.osgi.service.log.admin.LoggerAdmin
Modifier and Type
Constant Field
Value
`public static final String`
`LOG_SERVICE_ID`
`"osgi.log.service.id"`
org.osgi.service.log.admin.LoggerContext
Modifier and Type
Constant Field
Value
`public static final String`
`LOGGER_CONTEXT_DEFAULT_LOGLEVEL`
`"org.osgi.service.log.admin.loglevel"`
`public static final String`
`LOGGER_CONTEXT_PID`
`"org.osgi.service.log.admin"`

org.osgi.service.packageadmin.PackageAdmin
Modifier and Type
Constant Field
Value
`public static final int`
`BUNDLE_TYPE_FRAGMENT`
`1`

org.osgi.service.url.URLConstants
Modifier and Type
Constant Field
Value
`public static final String`
`URL_CONTENT_MIMETYPE`
`"url.content.mimetype"`
`public static final String`
`URL_HANDLER_PROTOCOL`
`"url.handler.protocol"`